Bug 432297 - Repository Manager mishandles repo paths with spaces
Repository Manager mishandles repo paths with spaces
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 21:53 EST by BJ Hoffstadt
Modified: 2009-01-06 05:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 05:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump of PM when you try to start it after setting the bad repo url (1.60 KB, text/plain)
2008-02-10 21:53 EST, BJ Hoffstadt
no flags Details

  None (edit)
Description BJ Hoffstadt 2008-02-10 21:53:46 EST
Description of problem: if the Repository Manager is given a repo url, such as 
"file://mnt/repo data/repomd.xml" is given as the location for a repository, it 
will work fine for that session of Package Manager (PM, or Add/Remove 
Software), but when you try to fire up PM again, it errors out (see attached 
dump text.)


Version-Release number of selected component (if applicable): pirut-1.3.25-2.fc8


How reproducible: always


Steps to Reproduce:
1. See description
2.
3.
  
Actual results: See description


Expected results: Error from Repository manager that the url is invalid


Additional info: In this example, "file://mnt/repo%20data/repomd.xml", would 
work fine.
Comment 1 BJ Hoffstadt 2008-02-10 21:53:46 EST
Created attachment 294530 [details]
Dump of PM when you try to start it after setting the bad repo url
Comment 2 BJ Hoffstadt 2008-02-10 22:00:26 EST
Sorry for the redundant "is given" in the description.

Also, I'd like to suggest that the debug output could display the path, such as 
"/etc/yum.repos.d/Fedora-install-media.repo", of the config file containing the 
invalid url.  Since I'm relatively unfamiliar with yum/pirut, it took a bit of 
doing to nose out the location of this file, so I could fix it and start PM 
again.
Comment 3 Jeremy Katz 2008-02-11 13:34:15 EST
What version of yum, pirut and python-iniparse do you have installed?
Comment 4 BJ Hoffstadt 2008-02-11 17:43:33 EST
yum-3.2.7-1.fc8
pirut-1.3.25-2.fc8
python-iniparse-0.2.2-1.fc8
Comment 5 Tim Lauridsen 2008-02-21 07:42:58 EST
'file://mnt/repo data/repomd.xml' is not a valid URL. IMO

Why is this an iniparse error ?

Comment 6 BJ Hoffstadt 2008-02-21 20:03:56 EST
I hope this question was not for me... it was originally entered as a pirut bug,
since pirut accepted the invalid URL in the first place, or at least didn't
massage it into a legal URL.  Incidentally, it would work for the session during
which the invalid URL was set, just not for any later ones.

However, I didn't feel qualified to comment when Jeremy refiled it as an
iniparse bug.  I'm not really 100% sure which packages are "driving" the various
parts of the Add/Remove Software GUI.
Comment 7 Tim Lauridsen 2008-02-25 07:19:12 EST
(In reply to comment #6)
> I hope this question was not for me... it was originally entered as a pirut bug,
> since pirut accepted the invalid URL in the first place, or at least didn't
> massage it into a legal URL.  Incidentally, it would work for the session during
> which the invalid URL was set, just not for any later ones.
> 
> However, I didn't feel qualified to comment when Jeremy refiled it as an
> iniparse bug.  I'm not really 100% sure which packages are "driving" the various
> parts of the Add/Remove Software GUI.

No, the question was to Jeremy.


Comment 8 Bug Zapper 2008-11-26 04:46:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tim Lauridsen 2009-01-06 05:13:19 EST
I will close this one as F8 is EOL and pirut dont exist in F9 & F10.
And the problem is not a iniparse problem as far as i can see.

Note You need to log in before you can comment on or make changes to this bug.